Skip to main content
GET
/
public
/
v1
/
inbox
/
transactions
List transactions inbox
curl --request GET \
  --url https://api.dualentry.com/public/v1/inbox/transactions/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "transaction_type": "<string>",
      "number": "<string>",
      "date": "2023-12-25",
      "customer_vendor": "<string>",
      "company": "<string>",
      "company_id": 123,
      "memo": "<string>",
      "amount": "<string>",
      "approval_status": "<string>",
      "workflow_id": 123,
      "record_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "approval_info": {
        "workflow_name": "<string>",
        "workflow_version": 123,
        "step_name": "<string>",
        "current_substep": 123,
        "substeps": [
          {
            "order": 123,
            "approvers": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ],
            "approved_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ],
            "rejected_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>"
              }
            ]
          }
        ]
      },
      "initiator_id": 123
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
transaction_type
string[] | null
approval_status
string[] | null
company_id
integer[] | null
start_date
string<date> | null
end_date
string<date> | null
customer_id
integer[] | null
record_id
integer[] | null
transaction_id
integer[] | null
min_amount
max_amount
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicTransactionInboxSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026